<?php
/**
 * 管理员管理
 * $Id: account_edit_input.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$account_mst = AccountMst::getById($id);
if ($account_mst == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}
$id = $account_mst->id;
$login = $account_mst->login;
$password = $account_mst->password;
$name = $account_mst->name;
$contact = $account_mst->contact;
$comment = $account_mst->comment;
$government_id = $account_mst->government_id;
$school_id = $account_mst->school_id;
$role_id = $account_mst->role;
$modules = $account_mst->modules;
if(!empty($modules)){
  $modules = implode(",", explode("|", $modules));
}


// 权限一览取得
$modules_list = AcountModule::getList();
$account_role_list = AccountRole::getList();

$school_list = CompassHandler::getSchoolListForAccount();
$government_list = CompassHandler::getGovernmentlListForAccount();


// 页面表示
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/account_edit_input.js");
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["menu_clicked"] = "5-1";
$layout_pages["right"] = "account_edit_input.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;